<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Plugins/PluginBase/PluginDeveloper/PluginUniversalTemperatureSourceClient.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d09/_plugin_universal_temperature_source_client_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PluginUniversalTemperatureSourceClient.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d09/_plugin_universal_temperature_source_client_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>PluginUniversalTemperatureSourceClient <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/da1/class_plugin_base.html">PluginBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a8875d2e2a748a0c042e2dc353a005d22">    3</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> MAX_SIMULTANEOUS_UTS = 10;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a36a4f1270274f3c1e0219a102587128d">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a36a4f1270274f3c1e0219a102587128d">m_UTSAverageTemperature</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a8baec8a7b4d77be2fe3c1498203fc65e">    7</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref UTemperatureSourceDebug&gt;</a> <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a8baec8a7b4d77be2fe3c1498203fc65e">m_UTemperatureSourceDebugs</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#adc2600b060a746622a517c22e2098491">    9</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>[<a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a8875d2e2a748a0c042e2dc353a005d22">MAX_SIMULTANEOUS_UTS</a>];</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a9438e552ccfcd98946289bd6bc0b039a">   10</a></span>    <span class="keyword">protected</span> ref TextListboxWidget <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a545ea8e92fb00d2ba9de5a59a925c16e">m_StatListWidgets</a>[<a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a8875d2e2a748a0c042e2dc353a005d22">MAX_SIMULTANEOUS_UTS</a>];</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a684a1d8f195305306848db3893a8eb66">   12</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a684a1d8f195305306848db3893a8eb66">m_Player</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a1e8b7cd0f8e77d55d3eec3e3f912b856">   14</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a1e8b7cd0f8e77d55d3eec3e3f912b856">PluginUniversalTemperatureSourceClient</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        m_UTemperatureSourceDebugs = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref UTemperatureSourceDebug&gt;</a>();</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a23985ab8f60ea3c9c3b92fd0f3989a1a">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a23985ab8f60ea3c9c3b92fd0f3989a1a">OnInit</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="preprocessor">        #ifndef NO_GUI</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a4210e312b7c9e40058ff5b39b5b17ebb">InitWidgets</a>();</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ae1cd17b89a389878d63d340f2f850216">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#ae1cd17b89a389878d63d340f2f850216">OnUpdate</a>(<span class="keywordtype">float</span> delta_time)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="preprocessor">        #ifndef NO_GUI</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#ac0c23edbdefffbdfd32a6455c135bf62">UpdateStatWidgets</a>();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a9d47f0ea020a8007984935e6aaf54d4a">DrawDebugs</a>();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a4210e312b7c9e40058ff5b39b5b17ebb">   39</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a4210e312b7c9e40058ff5b39b5b17ebb">InitWidgets</a>()</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a8875d2e2a748a0c042e2dc353a005d22">MAX_SIMULTANEOUS_UTS</a>; i++)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>[i] = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>(<span class="stringliteral">&quot;gui/layouts/debug/day_z_debug_remoteinfo.layout&quot;</span>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a545ea8e92fb00d2ba9de5a59a925c16e">m_StatListWidgets</a>[i] = TextListboxWidget.Cast(<a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>[i].<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga4c60c2c4f7361799eda0405af7eb5342">FindAnyWidget</a>(<span class="stringliteral">&quot;TextListboxWidget0&quot;</span>));</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a9d47f0ea020a8007984935e6aaf54d4a">   48</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a9d47f0ea020a8007984935e6aaf54d4a">DrawDebugs</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; m_UTemperatureSourceDebugs.Count(); i++)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            UTemperatureSourceDebug utsd = m_UTemperatureSourceDebugs.Get(i);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordtype">float</span> fullRange = utsd.GetValue(1).ToFloat();</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <span class="keywordtype">float</span> maxRange  = utsd.GetValue(2).ToFloat();</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordtype">float</span> temp      = utsd.GetValue(3).ToFloat();</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> sphPos   = utsd.GetValue(0).ToVector();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordtype">int</span> fullRangeColor = <a class="code hl_variable" href="../../dd/d13/group___colors.html#ga4d15e7681836d9172182f12364a7603f">COLOR_RED_A</a>;           </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordtype">int</span> maxRangeColor = <a class="code hl_variable" href="../../dd/d13/group___colors.html#gab99c2e5fe0809461bf77fd90b9df62a2">COLOR_YELLOW_A</a>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <span class="keywordflow">if</span> (temp &lt; 0)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>                fullRangeColor = <a class="code hl_variable" href="../../dd/d13/group___colors.html#gafeaeed5f47ca7e9f11f7e7f31ebae401">COLOR_GREEN_A</a>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>                maxRangeColor = <a class="code hl_variable" href="../../dd/d13/group___colors.html#ga47541ebd6a462cb65cd01ea38b38f73a">COLOR_BLUE_A</a>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a44d028d904f8ebe5541877102c3f640a">DrawCylinder</a>(sphPos, fullRange, fullRange, fullRangeColor, <a class="code hl_enumeration" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a>.ONCE|<a class="code hl_enumeration" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a>.TRANSP);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a44d028d904f8ebe5541877102c3f640a">DrawCylinder</a>(sphPos, maxRange, maxRange, maxRangeColor, <a class="code hl_enumeration" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a>.ONCE|<a class="code hl_enumeration" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a>.TRANSP);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#aabc13f4f80f49f8006ec85bd224912df">DrawArrow</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetPosition(), sphPos, 1.0, 0xffffffff, <a class="code hl_enumeration" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a>.ONCE|<a class="code hl_enumeration" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a>.TRANSP);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a5fcbd82a6b1546a94ae9bd8b99876e2a">ProcessUniversalTemperatureSources</a>();</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">if</span> (m_UTemperatureSourceDebugs.Count() &gt; 0)</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga30728517ca5abc300d5f8059d0c95ae2">Begin</a>(<span class="stringliteral">&quot;Universal Temp Sources&quot;</span>, 10, 300);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga80e4034966bbd572ab75cb074f9be584">Text</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;Lookup radius: %1m (server-side)&quot;</span>, PluginUniversalTemperatureSourceServer.LOOKUP_RADIUS));</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga80e4034966bbd572ab75cb074f9be584">Text</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;Count: %1&quot;</span>, m_UTemperatureSourceDebugs.Count()));</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga80e4034966bbd572ab75cb074f9be584">Text</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;Avg. temp: %1 °C&quot;</span>, m_UTSAverageTemperature));</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga20434f1c0eaa5719d0084d6e0b55c8ad">End</a>();</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a5fcbd82a6b1546a94ae9bd8b99876e2a">   84</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a5fcbd82a6b1546a94ae9bd8b99876e2a">ProcessUniversalTemperatureSources</a>()</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span> (m_UTemperatureSourceDebugs.Count() == 0)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            m_UTSAverageTemperature = 0;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a> utsTemperatures = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a>();</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="comment">// get temperature from the source (based on distance), save it for min/max filtering</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; m_UTemperatureSourceDebugs.Count(); i++)</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <a class="code hl_class" href="../../df/d6b/class_universal_temperature_source_debug.html">UniversalTemperatureSourceDebug</a> utsd = m_UTemperatureSourceDebugs[i];</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">DistanceSq</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetPosition(), utsd.GetValue(0).ToVector()) &gt; <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga1ea52907ba49a5706b41108910975de7">SqrFloat</a>(utsd.GetValue(2).ToFloat()))</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            utsTemperatures.Insert(<a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a6019de7a1661bf8fdf4bd6c62629bc85">CalcTemperatureFromTemperatureSource</a>(m_UTemperatureSourceDebugs[i]));</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordtype">float</span> min = MiscGameplayFunctions.GetMinValue(utsTemperatures);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordtype">float</span> max = MiscGameplayFunctions.GetMaxValue(utsTemperatures);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">if</span> (max &gt; 0 &amp;&amp; min &lt; 0)</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            m_UTSAverageTemperature = (max + min) * 0.5;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            m_UTSAverageTemperature = max;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a6019de7a1661bf8fdf4bd6c62629bc85">  122</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a6019de7a1661bf8fdf4bd6c62629bc85">CalcTemperatureFromTemperatureSource</a>(notnull UTemperatureSourceDebug utsd)</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordtype">float</span> distance      = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#aad57f4c847a6ad08cf88f390961dd2db">Distance</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetPosition(), utsd.GetValue(0).ToVector());</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        distance            = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Max</a>(distance, 0.1);  <span class="comment">//min distance cannot be 0 (division by zero)</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <span class="keywordtype">float</span> temperature   = 0;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="keywordflow">if</span> (distance &gt; utsd.GetValue(1).ToFloat())</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        {</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            <span class="keywordtype">float</span> distFactor = 1 - (distance / utsd.GetValue(2).ToFloat());</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            distFactor = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Max</a>(distFactor, 0.0); </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            temperature = utsd.GetValue(3).ToFloat() * distFactor;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        {</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            temperature = utsd.GetValue(3).ToFloat();</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="comment">//Print(temperature);</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="keywordflow">return</span> temperature;</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#af317b9ce1d84f24ea37e65e04cec8a89">  145</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#af317b9ce1d84f24ea37e65e04cec8a89">EnableWidgets</a>(<span class="keywordtype">bool</span> enable)</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    {</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a8875d2e2a748a0c042e2dc353a005d22">MAX_SIMULTANEOUS_UTS</a>; i++)</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        {</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>[i].Show(enable);</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        }</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    }</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ac0c23edbdefffbdfd32a6455c135bf62">  153</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#ac0c23edbdefffbdfd32a6455c135bf62">UpdateStatWidgets</a>()</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    {</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <span class="keywordtype">int</span> i = 0;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        <span class="keywordflow">for</span> (; i &lt; m_UTemperatureSourceDebugs.Count(); i++)</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            UTemperatureSourceDebug utsd = m_UTemperatureSourceDebugs.Get(i);</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> pos = utsd.GetValue(0).ToVector();</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> screen_pos_stats = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a38e476f1a0254e1533d606f35719caef">GetScreenPos</a>(pos + <span class="stringliteral">&quot;0 0 0&quot;</span>);</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> screen_pos_damage = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a38e476f1a0254e1533d606f35719caef">GetScreenPos</a>(pos + <span class="stringliteral">&quot;0 2 0&quot;</span>);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>[i].SetPos(screen_pos_stats[0],screen_pos_stats[1]);</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>            </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>            <span class="keywordflow">if</span> (screen_pos_stats[2] &gt; 0 &amp;&amp; screen_pos_stats[0] &gt; 0 &amp;&amp; screen_pos_stats[1] &gt; 0)</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>            {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>                <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>[i].Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>                <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a13a85fc17bcf3515ae1d2280197196e0">UpdateStatWidget</a>(i, utsd);</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            }</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            {</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>                <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>[i].Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>            }</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordflow">for</span> (; i &lt; <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a8875d2e2a748a0c042e2dc353a005d22">MAX_SIMULTANEOUS_UTS</a>; i++)</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>[i])</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            {</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>                <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a>[i].Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            }</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        }</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a13a85fc17bcf3515ae1d2280197196e0">  184</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a13a85fc17bcf3515ae1d2280197196e0">UpdateStatWidget</a>(<span class="keywordtype">int</span> rowIndex, UTemperatureSourceDebug utsd)</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    {</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a545ea8e92fb00d2ba9de5a59a925c16e">m_StatListWidgets</a>[rowIndex].ClearItems();</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; utsd.PairsCount(); i++)</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a545ea8e92fb00d2ba9de5a59a925c16e">m_StatListWidgets</a>[rowIndex].AddItem(utsd.GetName(i), null, 0, i);</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a545ea8e92fb00d2ba9de5a59a925c16e">m_StatListWidgets</a>[rowIndex].SetItem(i, utsd.GetValue(i), null, 1);</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <span class="keywordtype">int</span> numPairs = utsd.PairsCount();</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        <span class="comment">// manually add value for distance (client only)</span></div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a545ea8e92fb00d2ba9de5a59a925c16e">m_StatListWidgets</a>[rowIndex].AddItem(<span class="stringliteral">&quot;distance&quot;</span>, null, 0, numPairs);</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a545ea8e92fb00d2ba9de5a59a925c16e">m_StatListWidgets</a>[rowIndex].SetItem(numPairs, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#aad57f4c847a6ad08cf88f390961dd2db">Distance</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetPosition(), utsd.GetValue(0).ToVector()).<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>(), null, 1);</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    }</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span> </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a1de692ffc12ac774f8d1ddffd186a3d2">  200</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a1de692ffc12ac774f8d1ddffd186a3d2">RequestUniversalTemperatureSources</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">int</span> enable)</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    {</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        <span class="comment">//Debug.Log(&quot;RequestUniversalTemperatureSources called&quot;, &quot;PluginUniversalTemperatureSourceClient&quot;);</span></div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span> </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        <span class="keywordflow">if</span> (!enable)</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        {</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            m_UTemperatureSourceDebugs.Clear();</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>            <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> = null;</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>            <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#af317b9ce1d84f24ea37e65e04cec8a89">EnableWidgets</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        }</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span> </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        <a class="code hl_class" href="../../d5/d8a/class_script_r_p_c.html">ScriptRPC</a> rpc = <span class="keyword">new</span> <a class="code hl_class" href="../../d5/d8a/class_script_r_p_c.html">ScriptRPC</a>();</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        rpc.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(enable);</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        rpc.<a class="code hl_function" href="../../d5/d8a/class_script_r_p_c.html#a96f5185fa93cf7f008fba76a0e7729b9">Send</a>(player, <a class="code hl_enumeration" href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a>.DEV_REQUEST_UTS_DEBUG, <span class="keyword">true</span>, player.GetIdentity());</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> = player;</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    }</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a6ba961fe9250018ecefe8906670450e8">  219</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a6ba961fe9250018ecefe8906670450e8">PrintedDebug</a>()</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; m_UTemperatureSourceDebugs.Count(); i++)</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        {</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>            UTemperatureSourceDebug utsd = m_UTemperatureSourceDebugs.Get(i);</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>            <a class="code hl_function" href="../../d5/d78/group___enforce.html#ga57f32b036e535bd975e903bb47bc7c3c">PrintString</a>(<span class="stringliteral">&quot;-------------------------------------&quot;</span>);</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>            utsd.Debug();</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>            <a class="code hl_function" href="../../d5/d78/group___enforce.html#ga57f32b036e535bd975e903bb47bc7c3c">PrintString</a>(<span class="stringliteral">&quot;-------------------------------------&quot;</span>);</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        }</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>    }</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#aa0177fc79c708f38d3906a15dd4a33e2">  230</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#aa0177fc79c708f38d3906a15dd4a33e2">OnRPC</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx)</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>    {</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        <span class="comment">//Debug.Log(&quot;OnRPC called&quot;, &quot;PluginUniversalTemperatureSourceClient&quot;);</span></div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        <span class="comment">//PrintedDebug();</span></div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(m_UTemperatureSourceDebugs);</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    }</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>}</div>
<div class="ttc" id="a_e_r_p_cs_8c_html_a6ce2d98a3b8fbdba5b450abf2d6eab37"><div class="ttname"><a href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a></div><div class="ttdeci">ERPCs</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d66/_e_r_p_cs_8c_source.html#l00001">ERPCs.c:2</a></div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="a_plugin_remote_player_debug_client_8c_html_a545ea8e92fb00d2ba9de5a59a925c16e"><div class="ttname"><a href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a545ea8e92fb00d2ba9de5a59a925c16e">m_StatListWidgets</a></div><div class="ttdeci">ref TextListboxWidget m_StatListWidgets[MAX_SIMULTANIOUS_PLAYERS]</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d23/_plugin_remote_player_debug_client_8c_source.html#l00016">PluginRemotePlayerDebugClient.c:16</a></div></div>
<div class="ttc" id="a_plugin_remote_player_debug_client_8c_html_a8ba0557daf8b627a8c8f89783367a683"><div class="ttname"><a href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a8ba0557daf8b627a8c8f89783367a683">m_RootWidget</a></div><div class="ttdeci">ref Widget m_RootWidget[MAX_SIMULTANIOUS_PLAYERS]</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d23/_plugin_remote_player_debug_client_8c_source.html#l00014">PluginRemotePlayerDebugClient.c:14</a></div></div>
<div class="ttc" id="aclass_c_game_html_a38e476f1a0254e1533d606f35719caef"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a38e476f1a0254e1533d606f35719caef">CGame::GetScreenPos</a></div><div class="ttdeci">proto native vector GetScreenPos(vector world_pos)</div><div class="ttdoc">Transforms position in world to position in screen in pixels as x, y component of vector,...</div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclass_debug_html"><div class="ttname"><a href="../../da/d7d/class_debug.html">Debug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00013">Debug.c:14</a></div></div>
<div class="ttc" id="aclass_debug_html_a44d028d904f8ebe5541877102c3f640a"><div class="ttname"><a href="../../da/d7d/class_debug.html#a44d028d904f8ebe5541877102c3f640a">Debug::DrawCylinder</a></div><div class="ttdeci">static Shape DrawCylinder(vector pos, float radius, float height=1, int color=0x1fff7f7f, ShapeFlags flags=ShapeFlags.TRANSP|ShapeFlags.NOOUTLINE)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00310">Debug.c:310</a></div></div>
<div class="ttc" id="aclass_debug_html_aabc13f4f80f49f8006ec85bd224912df"><div class="ttname"><a href="../../da/d7d/class_debug.html#aabc13f4f80f49f8006ec85bd224912df">Debug::DrawArrow</a></div><div class="ttdeci">static Shape DrawArrow(vector from, vector to, float size=0.5, int color=0xFFFFFFFF, int flags=0)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00371">Debug.c:371</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_plugin_base_html"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html">PluginBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dbd/_plugin_base_8c_source.html#l00001">PluginBase.c:2</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a13a85fc17bcf3515ae1d2280197196e0"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a13a85fc17bcf3515ae1d2280197196e0">PluginBase::UpdateStatWidget</a></div><div class="ttdeci">void UpdateStatWidget(int rowIndex, UTemperatureSourceDebug utsd)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00184">PluginUniversalTemperatureSourceClient.c:184</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a1de692ffc12ac774f8d1ddffd186a3d2"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a1de692ffc12ac774f8d1ddffd186a3d2">PluginBase::RequestUniversalTemperatureSources</a></div><div class="ttdeci">void RequestUniversalTemperatureSources(PlayerBase player, int enable)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00200">PluginUniversalTemperatureSourceClient.c:200</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a1e8b7cd0f8e77d55d3eec3e3f912b856"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a1e8b7cd0f8e77d55d3eec3e3f912b856">PluginBase::PluginUniversalTemperatureSourceClient</a></div><div class="ttdeci">void PluginUniversalTemperatureSourceClient()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00014">PluginUniversalTemperatureSourceClient.c:14</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a23985ab8f60ea3c9c3b92fd0f3989a1a"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a23985ab8f60ea3c9c3b92fd0f3989a1a">PluginBase::OnInit</a></div><div class="ttdeci">override void OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00019">PluginUniversalTemperatureSourceClient.c:19</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a36a4f1270274f3c1e0219a102587128d"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a36a4f1270274f3c1e0219a102587128d">PluginBase::m_UTSAverageTemperature</a></div><div class="ttdeci">protected float m_UTSAverageTemperature</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00005">PluginUniversalTemperatureSourceClient.c:5</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a4210e312b7c9e40058ff5b39b5b17ebb"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a4210e312b7c9e40058ff5b39b5b17ebb">PluginBase::InitWidgets</a></div><div class="ttdeci">void InitWidgets()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00039">PluginUniversalTemperatureSourceClient.c:39</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a5fcbd82a6b1546a94ae9bd8b99876e2a"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a5fcbd82a6b1546a94ae9bd8b99876e2a">PluginBase::ProcessUniversalTemperatureSources</a></div><div class="ttdeci">protected void ProcessUniversalTemperatureSources()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00084">PluginUniversalTemperatureSourceClient.c:84</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a6019de7a1661bf8fdf4bd6c62629bc85"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a6019de7a1661bf8fdf4bd6c62629bc85">PluginBase::CalcTemperatureFromTemperatureSource</a></div><div class="ttdeci">protected float CalcTemperatureFromTemperatureSource(notnull UTemperatureSourceDebug utsd)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00122">PluginUniversalTemperatureSourceClient.c:122</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a684a1d8f195305306848db3893a8eb66"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a684a1d8f195305306848db3893a8eb66">PluginBase::m_Player</a></div><div class="ttdeci">protected PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00012">PluginUniversalTemperatureSourceClient.c:12</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a6ba961fe9250018ecefe8906670450e8"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a6ba961fe9250018ecefe8906670450e8">PluginBase::PrintedDebug</a></div><div class="ttdeci">void PrintedDebug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00219">PluginUniversalTemperatureSourceClient.c:219</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a8875d2e2a748a0c042e2dc353a005d22"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a8875d2e2a748a0c042e2dc353a005d22">PluginBase::MAX_SIMULTANEOUS_UTS</a></div><div class="ttdeci">const int MAX_SIMULTANEOUS_UTS</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00003">PluginUniversalTemperatureSourceClient.c:3</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a8baec8a7b4d77be2fe3c1498203fc65e"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a8baec8a7b4d77be2fe3c1498203fc65e">PluginBase::m_UTemperatureSourceDebugs</a></div><div class="ttdeci">protected ref array&lt; ref UTemperatureSourceDebug &gt; m_UTemperatureSourceDebugs</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00007">PluginUniversalTemperatureSourceClient.c:7</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a9d47f0ea020a8007984935e6aaf54d4a"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a9d47f0ea020a8007984935e6aaf54d4a">PluginBase::DrawDebugs</a></div><div class="ttdeci">void DrawDebugs()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00048">PluginUniversalTemperatureSourceClient.c:48</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_aa0177fc79c708f38d3906a15dd4a33e2"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#aa0177fc79c708f38d3906a15dd4a33e2">PluginBase::OnRPC</a></div><div class="ttdeci">void OnRPC(ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00230">PluginUniversalTemperatureSourceClient.c:230</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ac0c23edbdefffbdfd32a6455c135bf62"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ac0c23edbdefffbdfd32a6455c135bf62">PluginBase::UpdateStatWidgets</a></div><div class="ttdeci">void UpdateStatWidgets()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00153">PluginUniversalTemperatureSourceClient.c:153</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ae1cd17b89a389878d63d340f2f850216"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ae1cd17b89a389878d63d340f2f850216">PluginBase::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(float delta_time)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00026">PluginUniversalTemperatureSourceClient.c:26</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_af317b9ce1d84f24ea37e65e04cec8a89"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#af317b9ce1d84f24ea37e65e04cec8a89">PluginBase::EnableWidgets</a></div><div class="ttdeci">void EnableWidgets(bool enable)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d09/_plugin_universal_temperature_source_client_8c_source.html#l00145">PluginUniversalTemperatureSourceClient.c:145</a></div></div>
<div class="ttc" id="aclass_script_r_p_c_html"><div class="ttname"><a href="../../d5/d8a/class_script_r_p_c.html">ScriptRPC</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00104">gameplay.c:105</a></div></div>
<div class="ttc" id="aclass_script_r_p_c_html_a96f5185fa93cf7f008fba76a0e7729b9"><div class="ttname"><a href="../../d5/d8a/class_script_r_p_c.html#a96f5185fa93cf7f008fba76a0e7729b9">ScriptRPC::Send</a></div><div class="ttdeci">proto native void Send(Object target, int rpc_type, bool guaranteed, PlayerIdentity recipient=NULL)</div><div class="ttdoc">Initiate remote procedure call. When called on client, RPC is evaluated on server; When called on ser...</div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclass_serializer_html_a3568bd9439217225013ea9906eb09a3f"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Serializer::Write</a></div><div class="ttdeci">proto bool Write(void value_out)</div></div>
<div class="ttc" id="aclass_serializer_html_a9a38a9c5322133ee30fe87a3a4c0659e"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Serializer::Read</a></div><div class="ttdeci">proto bool Read(void value_in)</div></div>
<div class="ttc" id="aclass_universal_temperature_source_debug_html"><div class="ttname"><a href="../../df/d6b/class_universal_temperature_source_debug.html">UniversalTemperatureSourceDebug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00055">UniversalTemperatureSource.c:56</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="aclassfloat_html_a9aba6f516b6f38a950c55fa9d0b24afb"><div class="ttname"><a href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">float::ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="aclassvector_html_a21d8662c860e105943718b2da59349e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">vector::DistanceSq</a></div><div class="ttdeci">static proto native float DistanceSq(vector v1, vector v2)</div><div class="ttdoc">Returns the squere distance between tips of two 3D vectors.</div></div>
<div class="ttc" id="aclassvector_html_aad57f4c847a6ad08cf88f390961dd2db"><div class="ttname"><a href="../../d7/dfc/classvector.html#aad57f4c847a6ad08cf88f390961dd2db">vector::Distance</a></div><div class="ttdeci">static proto native float Distance(vector v1, vector v2)</div><div class="ttdoc">Returns the distance between tips of two 3D vectors.</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___colors_html_ga47541ebd6a462cb65cd01ea38b38f73a"><div class="ttname"><a href="../../dd/d13/group___colors.html#ga47541ebd6a462cb65cd01ea38b38f73a">COLOR_BLUE_A</a></div><div class="ttdeci">const int COLOR_BLUE_A</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00070">constants.c:70</a></div></div>
<div class="ttc" id="agroup___colors_html_ga4d15e7681836d9172182f12364a7603f"><div class="ttname"><a href="../../dd/d13/group___colors.html#ga4d15e7681836d9172182f12364a7603f">COLOR_RED_A</a></div><div class="ttdeci">const int COLOR_RED_A</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00068">constants.c:68</a></div></div>
<div class="ttc" id="agroup___colors_html_gab99c2e5fe0809461bf77fd90b9df62a2"><div class="ttname"><a href="../../dd/d13/group___colors.html#gab99c2e5fe0809461bf77fd90b9df62a2">COLOR_YELLOW_A</a></div><div class="ttdeci">const int COLOR_YELLOW_A</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00071">constants.c:71</a></div></div>
<div class="ttc" id="agroup___colors_html_gafeaeed5f47ca7e9f11f7e7f31ebae401"><div class="ttname"><a href="../../dd/d13/group___colors.html#gafeaeed5f47ca7e9f11f7e7f31ebae401">COLOR_GREEN_A</a></div><div class="ttdeci">const int COLOR_GREEN_A</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00069">constants.c:69</a></div></div>
<div class="ttc" id="agroup___debug_shape_html_gae99018d13c3c8a3cc164600046082d04"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a></div><div class="ttdeci">ShapeFlags</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00125">EnDebug.c:126</a></div></div>
<div class="ttc" id="agroup___debug_u_i_html_d0/d68/class_dbg_u_i"><div class="ttname"><a href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_dbg_u_i_8c_source.html#l00059">DbgUI.c:60</a></div></div>
<div class="ttc" id="agroup___debug_u_i_html_ga20434f1c0eaa5719d0084d6e0b55c8ad"><div class="ttname"><a href="../../d7/d90/group___debug_u_i.html#ga20434f1c0eaa5719d0084d6e0b55c8ad">DbgUI::End</a></div><div class="ttdeci">static proto native void End()</div></div>
<div class="ttc" id="agroup___debug_u_i_html_ga30728517ca5abc300d5f8059d0c95ae2"><div class="ttname"><a href="../../d7/d90/group___debug_u_i.html#ga30728517ca5abc300d5f8059d0c95ae2">DbgUI::Begin</a></div><div class="ttdeci">static proto native void Begin(string windowTitle, float x=0, float y=0)</div></div>
<div class="ttc" id="agroup___debug_u_i_html_ga80e4034966bbd572ab75cb074f9be584"><div class="ttname"><a href="../../d7/d90/group___debug_u_i.html#ga80e4034966bbd572ab75cb074f9be584">DbgUI::Text</a></div><div class="ttdeci">static proto native void Text(string label)</div></div>
<div class="ttc" id="agroup___enforce_html_ga57f32b036e535bd975e903bb47bc7c3c"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga57f32b036e535bd975e903bb47bc7c3c">PrintString</a></div><div class="ttdeci">void PrintString(string s)</div><div class="ttdoc">Helper for printing out string expression. Example: PrintString(&quot;Hello &quot; + var);.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00345">EnScript.c:345</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga0ea2cf98823125deeeb28e8c03d3d756"><div class="ttname"><a href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Math::Max</a></div><div class="ttdeci">static proto float Max(float x, float y)</div><div class="ttdoc">Returns bigger of two given values.</div></div>
<div class="ttc" id="agroup___math_html_ga1ea52907ba49a5706b41108910975de7"><div class="ttname"><a href="../../d5/d98/group___math.html#ga1ea52907ba49a5706b41108910975de7">Math::SqrFloat</a></div><div class="ttdeci">static proto float SqrFloat(float f)</div><div class="ttdoc">Returns squared value.</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga4c60c2c4f7361799eda0405af7eb5342"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga4c60c2c4f7361799eda0405af7eb5342">FindAnyWidget</a></div><div class="ttdeci">proto native Widget FindAnyWidget(string pathname)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_2b66b8ed1afe82646c8af9c779a96cad.html">Plugins</a></li><li class="navelem"><a class="el" href="../../dir_bfbe43b663634ae31e97616eeb4b3740.html">PluginBase</a></li><li class="navelem"><a class="el" href="../../dir_c8ef7bfafde947ed4c81dadaeea728a6.html">PluginDeveloper</a></li><li class="navelem"><a class="el" href="../../d0/d09/_plugin_universal_temperature_source_client_8c.html">PluginUniversalTemperatureSourceClient.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
